View Issue Details

IDProjectCategoryView StatusLast Update
0033088PatchesIDEpublic2018-01-28 12:13
ReporterC Western Assigned ToOndrej Pokorny  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0033088: Tool, Options crashes for IDE compiled for Carbon
DescriptionTool, Options crashes for IDE compiled for Carbon. It seems to be widget set specific, and I think it is something to do with the order of events, or events that are only triggered on Carbon. The attached patch stops the crash for me, but I have not verified that the relevant dialog still operates correctly. (It does show where the crash happens, though.)
TagsNo tags attached.
Fixed in Revision57166
LazTarget-
WidgetsetCarbon
Attached Files

Relationships

child of 0033076 assignedOndrej Pokorny Lazarus TCheckBox state change does not trigger OnChange event 

Activities

C Western

2018-01-27 16:16

reporter  

menu.patch (730 bytes)   
diff -uwNr --exclude=.svn --exclude=Makefile --exclude=Makefile.fpc --exclude=Makefile.compiled --exclude='*.rsj' --exclude='*.bak' --exclude='*.po' lazarus/ide/frames/codeobserver_options.pas lazarus.w/ide/frames/codeobserver_options.pas
--- lazarus/ide/frames/codeobserver_options.pas	2017-04-18 21:28:45.000000000 +0100
+++ lazarus.w/ide/frames/codeobserver_options.pas	2018-01-27 15:05:46.000000000 +0000
@@ -91,6 +91,9 @@
   g: TCEObserverCategoryGroup;
   hasState: array [Boolean] of Boolean;
 begin
+  for c := Low(c) to High(c) do
+    if not Assigned(FCategoryCheckBoxes[c]) then
+      Exit; { Window not fully set up }
   CodeObsCategoriesCheckGroup.OnItemClick := nil;
   try
     for g := Low(g) to High(g) do begin
menu.patch (730 bytes)   

Ondrej Pokorny

2018-01-27 19:42

developer   ~0106076

Please test and close if OK.

C Western

2018-01-28 12:13

reporter   ~0106090

Lokks good, thanks.

Issue History

Date Modified Username Field Change
2018-01-27 16:16 C Western New Issue
2018-01-27 16:16 C Western File Added: menu.patch
2018-01-27 19:40 Ondrej Pokorny Assigned To => Ondrej Pokorny
2018-01-27 19:40 Ondrej Pokorny Status new => assigned
2018-01-27 19:41 Ondrej Pokorny Relationship added child of 0033076
2018-01-27 19:42 Ondrej Pokorny Fixed in Revision => 57166
2018-01-27 19:42 Ondrej Pokorny LazTarget => -
2018-01-27 19:42 Ondrej Pokorny Note Added: 0106076
2018-01-27 19:42 Ondrej Pokorny Status assigned => resolved
2018-01-27 19:42 Ondrej Pokorny Resolution open => fixed
2018-01-28 12:13 C Western Note Added: 0106090
2018-01-28 12:13 C Western Status resolved => closed